Ofcas.Lk.Api.Client - Version 3.0 3.0.0.112

Public Member Functions | Properties | List of all members
Ofcas.Lk.Api.Client.Core.Document Class Reference

The class Document is the represenation of a LogiKal document. More...

Inheritance diagram for Ofcas.Lk.Api.Client.Core.Document:

## Public Member Functions
DocumentInfo | Refresh ()
OperationInfo | CanEdit (string key, object value)
DocumentInfo | Edit (string key, object value)
void | GetContent (Stream target)
| This method is deprecated. Please use GetContent() instead. More...
Stream | GetContent ()
| The content from the document. More...
Stream | GetContent (bool writeAccess)
| The content from the document. More...
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
bool | CanDispose ()
| Returns the information about whether the object can be deleted. An object can only be deleted if no children live. More...
IList< Guid > | Children ()
| Returns a list with Id for all children More...
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.Disposable
void | Dispose ()

## Properties
DocumentContainer | Parent`[get]`
DocumentInfo | Info`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
IServiceFactory< IApiService > | ServiceFactory`[get]`
| For internal purposes only. More...
Guid | Id`[get]`
| The unique identifier of the object instance. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
Guid | CoreObjectId`[get]`
| This property is deprecated. Please use ICoreObject.Id instead. More...
Guid | Id`[get]`
| The unique identifier of this core object. More...

## Additional Inherited Members
Public Attributes inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
Guid | CoreObjectId => Id
| This property is deprecated. Please use CoreObjectBase.Id instead. More...
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
| CoreObjectBase (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, bool ownsObject=true)
T | CallService< T > (Func< IApiService, T > serviceCall, Guid projectGuid=default(Guid), [CallerMemberName] string callerMethod=null)
| Calls a service function and raises an error if it fails. More...
T | CallServiceWithMessage< T > (Func< IApiService, T > serviceCall, Guid projectGuid=default(Guid), [CallerMemberName] string callerMethod=null)
| Calls a service function and raises an error if it fails. More...
override void | Dispose (bool disposing)
Protected Attributes inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
const string | NotSupportedCauseNotImplemented = "This method is not implemented, therefore not supported."
| Default message for methods which are not supported because they are not implemented. More...
Events inherited from Ofcas.Lk.Api.Client.Core.Disposable
Action< Disposable > | Disposed

## Detailed Description

The class Document is the represenation of a LogiKal document.

## Member Function Documentation

## ◆ Edit()

DocumentInfo Ofcas.Lk.Api.Client.Core.Document.Edit | ( | string | key,
|  | object | value
| ) |  |

Exceptions

  NotSupportedException |

## ◆ GetContent() [1/3]

void Ofcas.Lk.Api.Client.Core.Document.GetContent | ( | Stream | target | ) |

This method is deprecated. Please use GetContent() instead.

Parameters

  target | The content from the document is written in this stream. If the document has no content, the length of target is zero.

Exceptions

  Exception | If getting the document content failed.

## ◆ GetContent() [2/3]

Stream Ofcas.Lk.Api.Client.Core.Document.GetContent | ( |  | ) |

The content from the document.

Returns
  A stream with the content of the document.

## ◆ GetContent() [3/3]

Stream Ofcas.Lk.Api.Client.Core.Document.GetContent | ( | bool | writeAccess | ) |

The content from the document.

Parameters

  writeAccess | Describes the specific access mode. If the value is true, the file will be open with write access. The document will be locked until the object has been released by the user.

Returns
  A stream with the content of the document.

The documentation for this class was generated from the following file:

- Document.cs